Subject: bug#52684: [BUG] Multiple Packages Failing to Build

From: Maxime Devos <[email-masked]>
Date: Wed, 22 Dec 2021 20:53:04 +0000

Hi,

Christopher Rodriguez schreef op wo 22-12-2021 om 14:59 [-0500]:
> Right now, beets is still calling the version of python in
> `/gnu/store`, 
> but since it isn't installed alongside `beets` as a propagated-input
> the 
> post-install step which sets that variable (which is called 
> `install-sitecustomize.py` and relies of the package version of the 
> python package being installed) is never run, and therefore the 
> environment variable remains unset in the profile.

I took a look at the procedure 'customize-site' in
gnu/packages/python.scm and it doesn't mention the environment variable
GUIX_PYTHONPATH anywhere, so I don't understand this paragraph.

Greetings,
Maxime.